HUB-PULL-REQUEST(1)

NAME
hub-pull-request - Create a GitHub pull request.

SYNOPSIS
hub pull-request [-focp] [-b BASE] [-h HEAD] [-r REVIEWERS ] [-a ASSIGNEES] [-M MILESTONE] [-l LABELS]
hub pull-request -m MESSAGE [--edit]
hub pull-request -F FILE [--edit]
hub pull-request -i ISSUE

OPTIONS

-f, --force
    Skip the check for unpushed commits.

-m, --message MESSAGE
    The text up to the first blank line in MESSAGE is treated as the pull request title, and the rest is used as pull request description in Markdown format.

    If multiple MESSAGE options are given, their values are concatenated as separate paragraphs.

--no-edit
    Use the message from the first commit on the branch as pull request title and description without opening a text editor.

-F, --file FILE
    Read the pull request title and description from FILE.

-e, --edit
    Further edit the contents of FILE in a text editor before submitting.

-i, --issue ISSUE, ISSUE-URL
    (Deprecated) Convert ISSUE to a pull request.

-o, --browse
    Open the new pull request in a web browser.

-c, --copy
    Put the URL of the new pull request to clipboard instead of printing it.

-p, --push
    Push the current branch to HEAD before creating the pull request.

-b, --base BASE
    The base branch in "[OWNER:]BRANCH" format. Defaults to the default branch (usually "master").

-h, --head HEAD
    The head branch in "[OWNER:]BRANCH" format. Defaults to the current branch.

-r, --reviewer USERS
    A comma-separated list of GitHub handles to request a review from.

-a, --assign USERS
    A comma-separated list of GitHub handles to assign to this pull request.

-M, --milestone NAME
    The milestone name to add to this pull request. Passing the milestone number is deprecated.

-l, --labels LABELS
    Add a comma-separated list of labels to this pull request. Labels will be created if they don`t already exist.

EXAMPLES
$ hub pull-request
[ opens a text editor for writing title and message ]
[ creates a pull request for the current branch ]
$ hub pull-request --base OWNER:master --head MYUSER:my-branch
[ creates a pull request with explicit base and head branches ]
$ hub pull-request --browse -m "My title"
[ creates a pull request with the given title and opens it in a browser ]
$ hub pull-request -F - --edit < path/to/message-template.md
[ further edit the title and message received on standard input ]

CONFIGURATION
HUB_RETRY_TIMEOUT=SECONDS

    The maximum time to keep retrying after HTTP 422 on `--push` (default: 9).

SEE ALSO
hub(1), hub-merge(1), hub-checkout(1)